Skip to main content
POST
/
api
/
management
/
customers
/
search
Busca avançada de clientes
curl --request POST \
  --url https://api.olie.ai/api/management/customers/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": [
    {
      "field": "name",
      "operator": "contains",
      "value": "Le"
    }
  ]
}
'
{
  "customers": [
    {
      "id": "019bc7f9-f586-7386-a27d-a070e8ae5ac2",
      "name": "Cliente Exemplo - Filial Rio Preto",
      "headquarter": "Cliente Exemplo - Filial Rio Preto",
      "branch": null,
      "company_name": "Cliente Exemplo Comércio LTDA",
      "document_type": 2,
      "customer_type": 1,
      "parent": null,
      "document": "12.345.678/0000-00",
      "main_activity": null,
      "email": "[email protected]",
      "phone": "(99) 99999-9999",
      "address": "Av. Exemplo, 456 - Campinas/SP",
      "description": null,
      "custom_fields": null,
      "status": 1,
      "form_answers": [],
      "contacts": [],
      "parent_id": null,
      "frame_id": "019b329a-4346-7064-bba3-e7c19057cda4",
      "created_at": "2026-01-16T18:03:25.000000Z",
      "updated_at": "2026-01-16T18:03:25.000000Z",
      "deleted_at": null,
      "created_by_user": {
        "id": "019b329a-3f1f-7198-89e5-008dc4e2bd60",
        "name": "Test User",
        "avatar_url": "https://via.placeholder.com/124x124.png/00eebb?text=vero"
      },
      "created_by": "019b329a-3f1f-7198-89e5-008dc4e2bd60",
      "contacts_count": 0,
      "projects_count": 0,
      "tags": []
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 30,
    "to": 1,
    "total": 1
  },
  "response": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filters
object[]

Array de filtros a serem aplicados na busca

sorting
object[]

Array de ordenações a serem aplicadas

page
integer
default:1

Número da página (paginação Laravel)

Required range: x >= 1
per_page
integer
default:15

Quantidade de itens por página

Required range: 1 <= x <= 100

Response

200 - application/json

Sucesso: Filtro por telefone

customers
object[]
meta
object
response
boolean